Subject: Re: bug#37837: [PATCH] Make sb-image.el obsolete

From: Stefan Kangas <[email-masked]>
Date: Sat, 2 Nov 2019 04:21:27 +0100

Eli Zaretskii <[email-masked]> writes:
>
> > From: Stefan Kangas <[email-masked]>
> > Date: Sun, 20 Oct 2019 22:28:40 +0200
> >
> > sb-image.el says:
> >
> > ;; Supporting Image display for Emacs 20 and less, Emacs 21, and XEmacs,
> > ;; is a challenging task, which doesn't take kindly to being byte compiled.
> > ;; When sharing speedbar.elc between these three applications, the Image
> > ;; support can get lost.
> > ;;
> > ;; By splitting out that hard part into this file, and avoiding byte
> > ;; compilation, one copy speedbar can support all these platforms together.
> >
> > I suggest to get rid of this compatibility kludge.  Is the attached
> > patch an acceptable way to do that?
>
> Did we decide to drop support of those older Emacs versions?

I'm not aware of any general requirement to maintain backwards
compatibility with ancient Emacs versions on master.  For example, we
have dropped all compatibility function and variable aliases.

Users of Emacs 21 or older should surely just use whatever was shipped
with the version of Emacs that they are using.  Or am I missing
something?

To be clear, this package is not distributed on GNU ELPA as far as I can tell.

Best regards,
Stefan Kangas